<?php
	$StrCmd=V($_POST['TxtAc']);
	$StrAlm=V($_POST['CboAlm']);
	$StrAcc=V($_POST['CboAcc']);
	//
	if($StrCmd=="IMPORTAR"){
		$StrFileN = $_FILES['userfile']['name']; 
		$StrFileT = $_FILES['userfile']['type']; 		
		$StrExt=extension($StrFileN);
		//		
		if (!($StrExt== "xls" || $StrExt=="XLS")){ 
			$LStrMsg="La extension debe ser XLS : $StrExt";
			$LStrFoc="document.getElementById('userfile').focus();";
			$StrGT="S";	
		}else{			
			$Alm_=gn("id_almacen","almacenes","alm_obs='$StrAlm'");
			$StrFileNew="imp_stocks.xls";
			if (move_uploaded_file($_FILES['userfile']['tmp_name'], $StrFileNew)){ 
				if($StrAcc=="ACTUALIZAR"){	
					IMP_STOCKS($Alm_);		
				}else{
					IMP_STOCKS_ADD($Alm_);	
				}
				$LStrMsg="El archivo ha sido cargado correctamente ";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";
			}else{ 
				$LStrMsg="Error al subir el archivo";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";		
			} 
		}
		// 
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('CboAlm').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>